Package com.independentsoft.office.odf.styles

# Class ImageLevelStyle

java.lang.Object
com.independentsoft.office.odf.styles.ImageLevelStyle

All Implemented Interfaces:
  `IListStyleContent`

public class ImageLevelStyle extends Object implements IListStyleContent
Represents a list style where list items are preceded by images.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageLevelStyle()`
  Initializes a new instance of the ImageLevelStyle class.
  `ImageLevelStyle​(String name)`
  Initializes a new instance of the ImageLevelStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ImageLevelStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getLevel()`
  Gets the level of an outline or number list style.
  `ListLevelProperties`
  `getListLevelProperties()`
  Specifies formatting properties for list level.
  `String`
  `getName()`
  Gets the style name.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `void`
  `setLevel​(int level)`
  Sets the level of an outline or number list style.
  `void`
  `setName​(String name)`
  Sets the style name.
  `String`
  `toString()`
  Converts the value of the current ImageLevelStyle object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ImageLevelStyle

    public ImageLevelStyle()
    Initializes a new instance of the ImageLevelStyle class.

  - ### ImageLevelStyle

    public ImageLevelStyle​(String name)
    Initializes a new instance of the ImageLevelStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public ImageLevelStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IListStyleContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ImageLevelStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getListLevelProperties

    public ListLevelProperties getListLevelProperties()
    Specifies formatting properties for list level.
    Returns:
      the list level properties

  - ### getName

    public String getName()
    Gets the style name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the style name.
    Parameters:
      `name` - the new name

  - ### getLevel

    public int getLevel()
    Gets the level of an outline or number list style.
    Returns:
      the level

  - ### setLevel

    public void setLevel​(int level)
    Sets the level of an outline or number list style.
    Parameters:
      `level` - the new level